Subject: Re: [PATCH v2 11/25] powerpc/8xx: map 16M RAM at startup

From: Christophe Leroy <[email-masked]>
Date: Tue, 6 Oct 2015 16:10:36 +0200

Le 29/09/2015 01:58, Scott Wood a écrit :
> On Tue, Sep 22, 2015 at 06:50:50PM +0200, Christophe Leroy wrote:
>> On recent kernels, with some debug options like for instance
>> CONFIG_LOCKDEP, the BSS requires more than 8M memory, allthough
>> the kernel code fits in the first 8M.
>> Today, it is necessary to activate CONFIG_PIN_TLB to get more than 8M
>> at startup, allthough pinning TLB is not necessary for that.
>>
>> This patch adds a second 8M page to the initial mapping in order to
>> have 16M mapped regardless of CONFIG_PIN_TLB, like several other
>> 32 bits PPC (40x, 601, ...)
>>
>> Signed-off-by: Christophe Leroy <[email-masked]>
>> ---
> Is the assumption that nobody is still running 8xx systems with only 8
> MiB RAM on current kernels?
>
>
No, setup_initial_memory_limit() limits the memory to the minimum 
between 16M and the real memory size, so if a platform has only 8M, it 
will still be limited to 8M even with 16M mapped.

Christophe